/*
 * Sentry Video System
 *
 * $Id: $
 */

/*
 * request.c - send QoS request to server
 */

#include <stdio.h>
#include <errno.h>

#include "sentry.h"

extern int debug;

extern int ctrlfd;
extern int server_size;
extern int server_zoom;
extern int server_color;
extern int server_encode;
extern int server_rate;

sentry_request req_val;


#if 1
void
request_call(int type)
{
  int nw;

  if (ctrlfd < 0)
    return;

  if (debug) {
    fprintf(stderr, "request_call: \n");
    fprintf(stderr, "    type   = %d\n", type);
    fprintf(stderr, "    size   = %d\n", server_size);
    fprintf(stderr, "    zoom   = %d\n", server_zoom);
    fprintf(stderr, "    color  = %d\n", server_color);
    fprintf(stderr, "    encode = %d\n", server_encode);
    fprintf(stderr, "    rate   = %d\n", server_rate);
  }

  req_val.type = type;
  req_val.size = server_size;
  req_val.zoom = server_zoom;
  req_val.color = server_color;
  req_val.encode = server_encode;
  req_val.rate = server_rate;

  nw = write(ctrlfd, (char *)&req_val, sizeof(req_val));
  if (debug) {
    fprintf(stderr, "request_call: nw = %d\n", nw);
    if (nw < 0)
      perror("request_call: write");
  }
}

#else
/*
 *
 * old_request_call - compatibility with sentry ver 1.0 
 *
 */
void
request_call(int type)
{
  int nw;

  if (ctrlfd < 0)
    return;

  if (debug) {
    fprintf(stderr, "old_request_call: \n");
    fprintf(stderr, "    type   = %d\n", type);
    fprintf(stderr, "    size   = %d\n", server_size);
    fprintf(stderr, "    zoom   = %d\n", server_zoom);
    fprintf(stderr, "    color  = %d\n", server_color);
    fprintf(stderr, "    rate   = %d\n", server_rate);
  }

  req_val.type = type;
  req_val.size = server_size;
  req_val.zoom = server_zoom;
  req_val.color = server_color;
  req_val.rate = server_rate;

  nw = write(ctrlfd, (char *)&req_val, sizeof(req_val));
  if (debug) {
    fprintf(stderr, "old_request_call: nw = %d\n", nw);
    if (nw < 0)
      perror("old_request_call: write");
  }
}
#endif

