/*
 * Sentry Video System
 *
 * $Id: $
 */

/*
 * test.c - test routine for debugging 
 */
#include <stdio.h>
#include <X11/Intrinsic.h>

#include "sentry.h"


#ifdef TEST_GET_DATA
/*
 * test for get_data()
 */
void
get_data(caddr_t client_data, int *fd, XtInputId *id)
{
  fprintf(stderr, "get_data: Input from %d.\n", *fd);
  return;
}
#endif


/*
 * test for rate_view()
 */
extern int rateview_interval;
int frame_per_sec = 0;
int total_frame = 0;
int total_sec = 0;

void
rate_view(void)
{
  static int count = 0;
  static int sec = 0;

  if (++count >= 10) {
    /*
    fprintf(stderr, "rate_view routine.\n");
    */
    count = 0;

    total_frame += frame_per_sec;
    total_sec += 10;
    sec += 10;
    fprintf(stderr, "rate_view: %d frame/10sec\t", frame_per_sec);
    frame_per_sec = 0;

    if (sec >= 60) {
      fprintf(stderr, "[total %6d frame/ %6d sec]\n", total_frame, total_sec);
      sec = 0;
    } else {
      fprintf(stderr, "\n");
    }
  }
  set_timer(rateview_interval, &rate_view);
}

/*
 * test for decode_jpeg
 */
#ifdef TEST_DECODE_JPEG
void
decode_jpeg(char *in, int x, int y, char *out)
{
  fprintf(stderr, "decode_jpeg routine.\n");
  out = in;
}
#endif


#ifdef TEST_PUT_IMAGE
/*
 * test for put_image
 */
void
put_image(int width, int height, char *image)
{
  fprintf(stderr, "put_image routine.\n");
}
#endif




